# HitboxType

## Overview

HitboxType is an Enum that defines the type of hitbox used for character collision and hit detection.

This is used in the HitboxType property of Workspace and the HitboxType property of Humanoid, and determines how character hits are detected.

## Items

| Name          | Value | Description                                                                       |
| ------------- | ----- | --------------------------------------------------------------------------------- |
| Single        | 0     | Uses a single capsule enveloping a whole character as a hitbox.                   |
| SixBody       | 1     | Creates a hitbox with a fixed size for each pre-defined body part of a character. |
| FittedSixBody | 2     | Creates a hitbox based on the actual size of each body part.                      |

## See also

{% content-ref url="/pages/EeWbrL83GBuBIew7dJf3" %}
[Workspace](/development/api-reference/classes/workspace.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/hitboxtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
